Package com.smartgwt.client.browser.window

# Class BrowserWindowSettings

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.browser.window.BrowserWindowSettings

All Implemented Interfaces:
  `HasHandlers`

public class BrowserWindowSettings extends DataClass
Allows specifying additional browser window settings when calling the underlying JavaScript or OpenFin call to create the child window in `MultiWindow.open()`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BrowserWindowSettings()`
  `BrowserWindowSettings(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getActivateOnOpen()`
  Should a new window be activated when opened to ensure it's on top?
  `boolean`
  `getAlwaysOnTop()`
  Persistent setting to position the window at the top of the window stack.
  `Integer`
  `getDefaultHeight()`
  Initial height to assign to a new child window created by `MultiWindow.open()`.
  `Integer`
  `getDefaultWidth()`
  Initial width to assign to a new child window created by `MultiWindow.open()`.
  `static BrowserWindowSettings`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getTab()`
  Should the window be opened in a tab or a new browser window in fallback mode without OpenFin? Unless set explicitly false, fallback mode will open tabs for the new window.
  `BrowserWindowSettings`
  `setActivateOnOpen(boolean activateOnOpen)`
  Should a new window be activated when opened to ensure it's on top?
  `BrowserWindowSettings`
  `setAlwaysOnTop(boolean alwaysOnTop)`
  Persistent setting to position the window at the top of the window stack.
  `BrowserWindowSettings`
  `setDefaultHeight(Integer defaultHeight)`
  Initial height to assign to a new child window created by `MultiWindow.open()`.
  `BrowserWindowSettings`
  `setDefaultWidth(Integer defaultWidth)`
  Initial width to assign to a new child window created by `MultiWindow.open()`.
  `BrowserWindowSettings`
  `setTab(Boolean tab)`
  Should the window be opened in a tab or a new browser window in fallback mode without OpenFin? Unless set explicitly false, fallback mode will open tabs for the new window.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BrowserWindowSettings

    public BrowserWindowSettings()

  - ### BrowserWindowSettings

    public BrowserWindowSettings(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static BrowserWindowSettings getOrCreateRef(JavaScriptObject jsObj)

  - ### setActivateOnOpen

    public BrowserWindowSettings setActivateOnOpen(boolean activateOnOpen)
    Should a new window be activated when opened to ensure it's on top?
    Parameters:
      `activateOnOpen` - New activateOnOpen value. Default value is true
    Returns:
      `BrowserWindowSettings` instance, for chaining setter calls

  - ### getActivateOnOpen

    public boolean getActivateOnOpen()
    Should a new window be activated when opened to ensure it's on top?
    Returns:
      Current activateOnOpen value. Default value is true

  - ### setAlwaysOnTop

    public BrowserWindowSettings setAlwaysOnTop(boolean alwaysOnTop)
    Persistent setting to position the window at the top of the window stack.
    Parameters:
      `alwaysOnTop` - New alwaysOnTop value. Default value is false
    Returns:
      `BrowserWindowSettings` instance, for chaining setter calls

  - ### getAlwaysOnTop

    public boolean getAlwaysOnTop()
    Persistent setting to position the window at the top of the window stack.
    Returns:
      Current alwaysOnTop value. Default value is false

  - ### setDefaultHeight

    public BrowserWindowSettings setDefaultHeight(Integer defaultHeight)
    Initial height to assign to a new child window created by `MultiWindow.open()`.
    Parameters:
      `defaultHeight` - New defaultHeight value. Default value is null
    Returns:
      `BrowserWindowSettings` instance, for chaining setter calls

  - ### getDefaultHeight

    public Integer getDefaultHeight()
    Initial height to assign to a new child window created by `MultiWindow.open()`.
    Returns:
      Current defaultHeight value. Default value is null

  - ### setDefaultWidth

    public BrowserWindowSettings setDefaultWidth(Integer defaultWidth)
    Initial width to assign to a new child window created by `MultiWindow.open()`.
    Parameters:
      `defaultWidth` - New defaultWidth value. Default value is null
    Returns:
      `BrowserWindowSettings` instance, for chaining setter calls

  - ### getDefaultWidth

    public Integer getDefaultWidth()
    Initial width to assign to a new child window created by `MultiWindow.open()`.
    Returns:
      Current defaultWidth value. Default value is null

  - ### setTab

    public BrowserWindowSettings setTab(Boolean tab)
    Should the window be opened in a tab or a new browser window in fallback mode without OpenFin? Unless set explicitly false, fallback mode will open tabs for the new window.
    Parameters:
      `tab` - New tab value. Default value is null
    Returns:
      `BrowserWindowSettings` instance, for chaining setter calls

  - ### getTab

    public Boolean getTab()
    Should the window be opened in a tab or a new browser window in fallback mode without OpenFin? Unless set explicitly false, fallback mode will open tabs for the new window.
    Returns:
      Current tab value. Default value is null